Summary: Visual Basic .NET support for Mono
Name:    mono-basic
Version: 4.7
Release: %mkrel 5
Source0: https://download.mono-project.com/sources/mono-basic/%{name}-%{version}.tar.bz2 
License: BSD
Group: Development/Other
URL:		https://www.mono-project.com/
BuildRequires: pkgconfig(mono) >= 4.0.1
BuildRequires: locales
BuildArch: noarch
Obsoletes: %name-2.0 < %version-%release

%description
This package contains the Visual Basic .NET compiler and language
runtime. This allows you to compile and run VB.NET application and
assemblies.

%files
%doc README
%{_bindir}/*
%{_prefix}/lib/mono/?.?/*
%{_prefix}/lib/mono/gac/Microsoft.VisualBasic
%{_prefix}/lib/mono/gac/Mono.Cecil.VB.Mdb
%{_prefix}/lib/mono/gac/Mono.Cecil.VB.Pdb
%{_prefix}/lib/mono/gac/Mono.Cecil.VB
%{_mandir}/man1/vbnc.1*
%{_prefix}/lib/mono/gac/Microsoft.VisualBasic

#--------------------------------------------------------------------
%prep
%setup -q

%build
export LC_ALL=UTF-8
%configure --prefix=%_prefix
%make_build

%install
%make_install



%changelog
* Fri Apr 01 2022 umeabot <umeabot> 4.7-5.mga9
+ Revision: 1838503
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 4.7-4.mga8
+ Revision: 1629092
- rebuild for new mono

* Wed Feb 12 2020 umeabot <umeabot> 4.7-3.mga8
+ Revision: 1502152
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 4.7-2.mga7
+ Revision: 1279947
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 4.7-1.mga7
+ Revision: 1217651
- Update to version 4.7
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 03 2015 tv <tv> 4.0.1-1.mga6
+ Revision: 907948
- adjust file list
- adjust file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.10-7.mga5
+ Revision: 743081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10-6.mga5
+ Revision: 682578
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10-5.mga4
+ Revision: 508001
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.10-4.mga3
+ Revision: 360238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 23 2011 dmorgan <dmorgan> 2.10-3.mga2
+ Revision: 134968
- Unsplit as it created circular deps with install issues
- imported package mono-basic


* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.1
+ Revision: 521494
- update to new version 2.6.2

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478858
- update to new version 2.6

* Sat Jul 25 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.4.2-2mdv2010.0
+ Revision: 399759
- Rebuild

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390908
- new version

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368969
- new version

* Wed Jan 14 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329390
- new version
- drop patches
- add man page

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291910
- new version
- fix build

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.9-2mdv2009.0
+ Revision: 268147
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192396
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119269
- new version

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75984
- new version
- bump deps

* Thu May 17 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27606
- new version
- update file list
- bump deps


* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.3.1-1mdv2007.0
+ Revision: 121570
- depend on locales for build
- we can only build in UTF-8
- new version

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 117073
- Import mono-basic

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
- initial package

